jQuery(function($){
	$('.datepicker').datepicker({ dateFormat: 'yy-mm-dd' });
	// $('.of-chosen').chosen();
	$('.of-select2').select2({placeholder: "Select Items", height:'30px'})

	$('#of-product_category, #of-product_type').change(function(e){
		var category 	= $('#of-product_category').val();
		var type 		= $('#of-product_type').val();

		if( category == '' && type == '' ){
			$('#of-product_id').html($('#_of_hidden_product_ids').html()).select2();
			return;
		}
		$('#order-filter-overlay').show();

		$.ajax({
			url: ajaxurl,
			data: { 'action' : 'handy-addons-get-products', 'category' : category, 'type' : type },
			type: 'POST',
			dataType: 'JSON',
			success: function (resp) {
					// console.log( resp )
				if(resp.status == 1) {
					// console.log( resp.html )
					$('#of-product_id').html(resp.html).attr('disabled',false).select2();
					$('#of-variation_id').attr('disabled',true).hide();
				}
				$('#order-filter-overlay').hide();
			},
			error: function(err) {
				$('#order-filter-overlay').hide();
			}
		})
	});

	$('#of-product-attributes').change(function(e){
		var attributes = $(this).val();
		$('.of-product-term').hide().next(".select2-container").hide()
		$.each(attributes,function(index,value){
			$('#of-product-term-'+value).show().next(".select2-container").show()
		});
	}).change();

	$('#of-date_type').change(function(e) {
		var date_type = $(this).val();
		if ( date_type == 'custom' ) {
			$('.of-date-input').show();
		}else{
			$('.of-date-input').hide();
		}
	}).change();
})