jQuery(function($){
	$('#upload_brand_logo_btn').click(function(e){

       // Prevents the default action from occuring.
       e.preventDefault();

       // Sets up the media library frame
       meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
           title: PRODUCT_BRANDS.title,
           button: { text:  PRODUCT_BRANDS.media_button },
           library: { type: 'image' }
       });

       // Runs when an image is selected.
       meta_image_frame.on('select', function(){

           // Grabs the attachment selection and creates a JSON representation of the model.
           var media_attachment = meta_image_frame.state().get('selection').first().toJSON();

           // Sends the attachment URL to our custom image input field.
           $('#product_brand_logo').val(media_attachment.url);
           $('#product-brand-logo-preview').attr( 'src', media_attachment.url).show();
           $('#pb-remove-thumbnail').remove()
           $('#upload_brand_logo_btn').after( '<button id="pb-remove-thumbnail" class="button">' + PRODUCT_BRANDS.rmv_btn_text + '</button>' );
       });

       // Opens the media library frame.
       meta_image_frame.open();
   });

    $(document).on('click', '#pb-remove-thumbnail', function(e){
        e.preventDefault()
        $('#product-brand-logo-preview').attr( 'src', PRODUCT_BRANDS.wc_placeholder_img_src );
        $('#product_brand_logo').val('');
        $(this).remove()
    });
})