jQuery(function($){
	$('.ha-sortable').sortable({axis: 'y'});

	$('.ha-accordion .ha-checkout-input-area').hide();
	$(document).on('click','.ha-accordion p.ha-heading',function() {
		var name = $(this).data('name');
	    $('.ha-accordion .ha-checkout-input-area').slideUp();
	    $('.ha-accordion .ha-checkout-input-area' +'.'+name).stop().slideToggle();
	});

	$(document).on('click','.ha-clone-field',function( e ) {
		e.preventDefault()
		var type 		= $(this).data('type');
		var id 			= Math.random().toString(36).substring(7);
		var clone_field = $("#ha-clone-"+ type +"-field").clone();
		var rep_name 	= clone_field.html().replace(/%name%/g, 'name')
		var new_field 	= rep_name.replace(/%%%/g, 'new_field_' + id)


		var parent 	= $(this).closest('.handy_addons-field-action').parent();

		// $("#ha-"+ type +"-sortable").append( new_field );
		parent.after( new_field );
		
		$('.ha-checkout-input-area p input.ha-input-id').val('new_field_' + id)

		$('.handy_addons-field-action.handy_addons-new-action-'+ type ).parent().remove();
	});

	$(document).on('keyup','.ha-checkout-input-area p input.ha-input-label',function(e) {
		e.preventDefault();
		var value 	= $(this).val();
		var parent 	= $(this).closest('.ha-accordion')
		$('.ha-heading-text', parent).html(value)
	});

	$(document).on('change','.ha-checkout-input-area p input.ha-input-id',function(e) {
		e.preventDefault();
		var value 	= $(this).val();
		var oldid 	= $(this).data('oldid');
		var parent 	= $(this).closest('.ha-accordion');
		var heading = $('.ha-heading', parent);

		if ( oldid ) {
			var $replace = $(this).attr('data-oldid');
		}
		else {
			var $replace = 'new_field';
		}

		heading.data('name', heading.data('name').replace($replace,value));

		$('input, select, textarea', parent).each(function($i) {
			$(this).attr('data-oldid', value);
			$(this).attr('name', $(this).attr('name').replace($replace,value));
		});

	});

	$(document).on("click",".ha-checkout-reset",function(e){
		e.preventDefault()

		var post_id 		= $(this).data('id');

		//add loader
        $('#wc-one-pager .cx-wrapper.cx-tab-left').append('<div id="ha-loader-panel"><img src="'+ CXha.loader +'" alt="loading"></div>');

		$.ajax({
			url: CXha.ajaxurl,
			data: { 'action':'checkout-reset', 'post_id' : post_id, 'nonce' : CXha.nonce },
			type: 'POST',
			dataType: 'JSON',
			success: function(resp){
				console.log(resp)

				if( resp.status == 1 ) {
					location.reload()
				}
			}
		});
	})

	$(document).on("click",".handy_addons-field-action .ha-field-remove",function(e){

		if ( confirm( 'Are you sure?' ) ) {
			e.preventDefault()

			var type 	= $(this).data('type');
			var parent 	= $(this).closest('.handy_addons-field-action').parent();
		 	var length 	= $(this).closest('.handy_addons-field-action').parents('.ha-sortable.ui-sortable').children().length;

		 	if ( length == 1 ) {
		 		$(this).closest('.handy_addons-field-action').parents('.ha-sortable.ui-sortable').html('<li><div class="handy_addons-field-action handy_addons-new-action-'+ type +'"><button class="ha-clone-field" data-type="'+ type +'">+</button></div></li>')
		 	}

			parent.remove();
	    }
	    return false;
	})

	$(document).on("change",".ha-checkout-input-area .ha-field-type select",function(e){
		$('.ha-checkout-input-area .ha-field-options').slideUp()
		if ( this.value == 'select' || this.value == 'radio' ) {
			$('.ha-checkout-input-area .ha-field-options').slideDown()
		}
	})

	$('.cx-plugin-help-heading').click(function(e){
		var $this = $(this);
		var target = $this.data('target');
		$('.cx-plugin-help-text:not('+target+')').slideUp();
		if($(target).is(':hidden')){
			$(target).slideDown();
		}
		else {
			$(target).slideUp();
		}
	});

	$('.wc_one_pager_help_tablinks .wc_one_pager_help_tablink').on( 'click', function(e){
        e.preventDefault();
        var tab_id = $(this).attr('id');
        $('.wc_one_pager_help_tablink').removeClass('active');
        $(this).addClass('active');

        $('.wc_one_pager_tabcontent').hide();
        $('#'+tab_id+'_content').show();
    } );
})